## NAME

CURLOPT_CHUNK_END_FUNCTION - callback after a transfer with FTP wildcardmatch

## SYNOPSIS

    #include <curl/curl.h>

    long chunk_end_callback(void *ptr);

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CHUNK_END_FUNCTION,
                              chunk_end_callback);

## DESCRIPTION

Pass a pointer to your callback function, which should match the prototype shown above.

This function gets called by libcurl as soon as a part of the stream has been transferred (or skipped).

Return CURL_CHUNK_END_FUNC_OK if everything is fine or CURL_CHUNK_END_FUNC_FAIL to tell the lib to stop if some error occurred.

## DEFAULT

NULL

## PROTOCOLS

FTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.21.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_WILDCARDMATCH, CURLOPT_CHUNK_BGN_FUNCTION

This HTML page was made with roffit.